我到现在还不可以用网络打印(解决了)

为当前最终发行版之前的所有版本提供支持
springlarry
帖子: 286
注册时间: 2006-06-08 8:53
送出感谢: 0
接收感谢: 0

我到现在还不可以用网络打印(解决了)

#1

帖子 springlarry » 2006-06-22 13:39

打印机在XP的电脑上,怎么才可以连接那个电脑然后打印呢。
好像大家都没这个问题

///////////解决了
是把带打印机的电脑用IP连接一下,就OK了,以前那台电脑好像有点问题,现在都好了。
上次由 springlarry 在 2006-07-11 13:26,总共编辑 1 次。
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#2

帖子 roylez » 2006-06-22 14:45

哈,我有这样的问题,不过打印机是连在winme的机器上的。如果那台机器是winxp的话,也许我的问题早就解决了。

首先你要装samba。装好之后用

代码: 全选

smbclient -L //机器名
来试试看能不能连上共享打印机的那台电脑。如果能够的话,基本上就成功了一半了。然后就可以用gnome-cups-manager来添加打印机了。驱动程序选哪一个,可以参考linuxprinting.org上面推荐的,一般都问题不大。

我这边,怎么都不能够在linux下连上winme的共享,跟win2k,winxp之间的共享却没有问题。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yongyi » 2006-06-22 19:48

yongyi@ubuntu:~$ smbclient -L //I-ROBOT
Password:
Domain=[I-ROBOT] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

Sharename Type Comment
--------- ---- -------
IPC$ IPC ÈÂ│╠ IPC
print$ Disk ┤‗Ëí╗·Ã²Â»│╠ð‗
SharedDocs Disk
┤‗Ëí╗· Printer Microsoft Office Document Image Writer
┤‗Ëí╗·2 Printer hp psc 1200 series
Domain=[I-ROBOT] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

Server Comment
--------- -------

Workgroup Master
--------- -------
我的应该成功了一半吧 :lol:
但在KDE里添加SMB共享的打印机时出现以下错误:
附件
7.png
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#4

帖子 roylez » 2006-06-23 16:50

kde的那个添加打印机的程序问题多多。你可以试试

代码: 全选

apt-get install gnome-cups-manager
然后用它来安装打印机。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 yongyi » 2006-06-23 19:32

装好,也装好了打印机!
可惜打印不行,我发送任务过去,那边的打印机没反应。调出那边的打印任务窗口,显示“正在打印”。。。。
yongyi@ubuntu:~$ sudo apt-get install gnome-cups-manager
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
将会安装下列额外的软件包:
gnome-keyring libbonoboui2-0 libbonoboui2-common libgnome-keyring0
libgnome2-0 libgnome2-common libgnomecups1.0-1 libgnomecupsui1.0-1c2a
libgnomeui-0 libgnomeui-common
建议安装的软件包:
desktop-base gnome-icon-theme
推荐安装的软件包:
gksu
下列【新】软件包将被安装:
gnome-cups-manager gnome-keyring libbonoboui2-0 libbonoboui2-common
libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecups1.0-1
libgnomecupsui1.0-1c2a libgnomeui-0 libgnomeui-common
共升级了 0 个软件包,新安装了 11 个软件包,要卸载 0 个软件包,有 0 个软件未被升 级。
需要下载 1763kB 的软件包。
解压缩后会消耗掉 14.7MB 的额外空间。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#6

帖子 roylez » 2006-06-23 19:45

你选用的驱动程序是哪一个?可以确定确实安装了吗?
还有就是你可以编辑/etc/cups/printers.conf,把URI改成

代码: 全选

smb://工作组名/用户名:密码@机器名/打印机名
的格式,现在版本的cups有点问题,写全工作组名和机器名比用ip要好。如果不需要用户名的话,可以把"/用户名:密码@"去掉;如果这样不行,试试"/Guest:@"(好像这些都是现在这个版本的cups的小毛病)。另外还有就是一定要注意大小写,虽然在windows机器上使用共享打印机不需要管,但是linux下不行。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 yongyi » 2006-06-23 21:28

应试安装好了吧,原本用的是系统自带的驱动,后来到网上下载了HP-PSC_1200-hpijs.ppd来用。

手动加上工作组后,打测试页,那边的机动了一下就停住了,如图.
附件
8.png
aa.jpg
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 yongyi » 2006-06-23 21:36

在打印测试页时,终端有这样的反馈:
** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2oak (recommended)'
->linuxprinting.org-gs-builtin/Generic/Generic-OAKT_Printer-foo2oak.ppd (Generic OAKT Printer Foomatic/foo2oak (recommended)[1]) and
->Generic-OAKT_Printer.ppd.gz (Generic OAKT Printer Foomatic/foo2oak (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->linuxprinting.org-gs-builtin/Generic/Generic-ZjStream_Printer-foo2zjs.ppd (Generic ZjStream Printer Foomatic/foo2zjs (recommended)[1]) and
->Generic-ZjStream_Printer.ppd.gz (Generic ZjStream Printer Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: model named 'designjet 5500ps (recommended)' doesn't have a recognized structure

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2oak (recommended)'
->linuxprinting.org-gs-builtin/HP/HP-Color_LaserJet_1500-foo2oak.ppd (HP Color LaserJet 1500 Foomatic/foo2oak (recommended)[1]) and
->HP-Color_LaserJet_1500.ppd.gz (HP Color LaserJet 1500 Foomatic/foo2oak (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2hp (recommended)'
->linuxprinting.org-gs-builtin/HP/HP-Color_LaserJet_2600n-foo2hp.ppd (HP Color LaserJet 2600n Foomatic/foo2hp (recommended)[1]) and
->HP-Color_LaserJet_2600n.ppd.gz (HP Color LaserJet 2600n Foomatic/foo2hp (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_1000-foo2zjs.ppd (HP LaserJet 1000 Foomatic/foo2zjs (recommended)[1]) and
->HP-LaserJet_1000.ppd.gz (HP LaserJet 1000 Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_1005-foo2zjs.ppd (HP LaserJet 1005 Foomatic/foo2zjs (recommended)[1]) and
->HP-LaserJet_1005.ppd.gz (HP LaserJet 1005 Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_1020-foo2zjs.ppd (HP LaserJet 1020 Foomatic/foo2zjs (recommended)[1]) and
->HP-LaserJet_1020.ppd.gz (HP LaserJet 1020 Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3030-Postscript.ppd (HP LaserJet 3020 3030 Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3020-Postscript.ppd (HP LaserJet 3020 3030 Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3200m-Postscript.ppd (HP LaserJet 3200 Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3200-Postscript.ppd (HP LaserJet 3200 Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3310_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3300_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3320_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3310_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3320N_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3320_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3330_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_3320N_MFP-Postscript.ppd (HP LaserJet 3300 Series Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_4350-Postscript.ppd (HP LaserJet 4300 Series Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_4300-Postscript.ppd (HP LaserJet 4300 Series Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_9050_MFP-Postscript.ppd (HP LaserJet 9040 9050 MFP Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_9040_MFP-Postscript.ppd (HP LaserJet 9040 9050 MFP Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'Standard'
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_9065_MFP-Postscript.ppd (HP LaserJet 9055 9065 MFP Postscript (recommended)[1]) and
->linuxprinting.org-gs-builtin/HP/HP-LaserJet_9055_MFP-Postscript.ppd (HP LaserJet 9055 9065 MFP Postscript (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->Minolta-Color_PageWorks_Pro_L.ppd.gz (Minolta Color PageWorks/Pro L Foomatic/foo2zjs (recommended)[1]) and
->linuxprinting.org-gs-builtin/Minolta/Minolta-Color_PageWorks_Pro_L-foo2zjs.ppd (Minolta Color PageWorks/Pro L Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->Minolta-magicolor_2200_DL.ppd.gz (Minolta magicolor 2200 DL Foomatic/foo2zjs (recommended)[1]) and
->linuxprinting.org-gs-builtin/Minolta/Minolta-magicolor_2200_DL-foo2zjs.ppd (Minolta magicolor 2200 DL Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->Minolta-magicolor_2300_DL.ppd.gz (Minolta magicolor 2300 DL Foomatic/foo2zjs (recommended)[1]) and
->linuxprinting.org-gs-builtin/Minolta/Minolta-magicolor_2300_DL-foo2zjs.ppd (Minolta magicolor 2300 DL Foomatic/foo2zjs (recommended))[1]

** (gnome-printer-view:9301): WARNING **: Two ppds have driver == 'foo2zjs (recommended)'
->Minolta-magicolor_2430_DL.ppd.gz (Minolta magicolor 2430 DL Foomatic/foo2zjs (recommended)[1]) and
->linuxprinting.org-gs-builtin/Minolta/Minolta-magicolor_2430_DL-foo2zjs.ppd (Minolta magicolor 2430 DL Foomatic/foo2zjs (recommended))[1]
Selected ppd file = custom/HP-PSC_1200-hpijs.ppd

** (gnome-printer-view:9301): WARNING **: connect = 'smb://I-ROBOT/pp'

** (gnome-printer-view:9301): WARNING **: method :'smb'
user :''
host :'I-ROBOT'
port :0
resource :'/pp'
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#9

帖子 roylez » 2006-06-23 22:23

你的连接肯定是没有问题的,应该是驱动方面的问题了。好像已经超出了我能够给建议的范围了:没办法,谁叫我也是新手:P。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2006-06-23 22:26

有个帖子说过,需要安装额外的smb包,也提供地址。我的是送64k数据就(w2000)卡死。也说不清是不是服务段的问题。就摆下了。
● 鸣学
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 yongyi » 2006-06-24 0:46

eexpress 写了:有个帖子说过,需要安装额外的smb包,也提供地址。我的是送64k数据就(w2000)卡死。也说不清是不是服务段的问题。就摆下了。
兄弟说的是这帖:
viewtopic.php?t=14581&start=0&postdays=0&postorder=asc
吗?那个下载地址
http://www.linux2go.dk//ubuntu/pool/main/s/samba/
已经没SMB下载了。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#12

帖子 eexpress » 2006-06-24 1:34

是哦。只是看到。提供线索给你。我的都没试好。平时打印很少。签字太多。呵呵。
● 鸣学
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 yongyi » 2006-06-24 2:07

eexpress 写了:是哦。只是看到。提供线索给你。我的都没试好。平时打印很少。签字太多。呵呵。
我苦:平时签字很少。打印太多。 :lol:
明天再捣鼓看看。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
roylez
论坛版主
帖子: 1928
注册时间: 2005-10-04 10:59
来自: 上海
送出感谢: 0
接收感谢: 1 次

#14

帖子 roylez » 2006-06-24 10:17

eexpress 写了:是哦。只是看到。提供线索给你。我的都没试好。平时打印很少。签字太多。呵呵。
唉,这是我梦想的生活啊。
弄个dropbox空间来备份文件或者做私人代码服务器
配置:[url]git://github.com/roylez/dotfiles.git[/url]
主页:http://roylez.heroku.com
各种稀奇玩意儿:http://dooloo.info
头像
wyvern2004
帖子: 70
注册时间: 2005-07-12 20:30
来自: 贵州
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 wyvern2004 » 2006-06-24 11:55

我的是hp LaserJet 1300,选驱动的时候就选它默认的第一项就可以了。
Xubuntu 7.04 Feisty
NVIDIA GeForce 2 MX/MX 400
Pentium(R) 4 CPU 2.60GHz 1.0G Mem
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
我的博客,欢迎光临!
http://blog.sina.com.cn/dat
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
回复

回到 “老旧版本支持”